Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233583 - Removal of PCMCIA network card doesn't shut down interface properly
Summary: Removal of PCMCIA network card doesn't shut down interface properly
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hotplug
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 10:53 UTC by Vic
Modified: 2014-03-17 03:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 05:38:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
Patch to /etc/hotplug/net.agent to make it shutdown interfaces on removal (deleted)
2007-03-23 10:53 UTC, Vic
no flags Details | Diff

Description Vic 2007-03-23 10:53:03 UTC
Description of problem:

Removing a PCMCIA network card (specifically, a WiFi card) doesn't call ifdown
on the interface. This leaves things running (like dhclient), and the card
doesn't then start up properly on re-insertion.

Version-Release number of selected component (if applicable):

Checked on hotplug-2004_04_01-7.7, but this is probably common to many releases.

How reproducible:

Every time

Steps to Reproduce:
1. Insert card & get network running on it
2. Remove card
3. Re-insert card
  
Actual results:

Network doesn't run on that card

Expected results:

Network should run on that card

Additional info:

I patched /etc/hotplug/net.agent - attached.

Comment 1 Vic 2007-03-23 10:53:03 UTC
Created attachment 150744 [details]
Patch to /etc/hotplug/net.agent to make it shutdown interfaces on removal

Comment 2 Bill Nottingham 2007-03-30 05:38:04 UTC
This is fixed in RHEL 5.


Note You need to log in before you can comment on or make changes to this bug.